Cannot upgrade Parallels Plesk Panel: "group 'psacln' already exists"

Created:

2016-11-16 13:20:36 UTC

Modified:

2017-08-16 17:04:07 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot upgrade Parallels Plesk Panel: "group 'psacln' already exists"

Applicable to:

  • Plesk 11.x for Linux

Symptoms

I'm trying to upgrade Parallels Plesk Panel using the GUI to version 11.5.30 however whenever I try it comes back with the following information in the log:

Trying to add group 'psacln'... groupadd: group 'psacln' already exists

ERROR while trying to add group 'psacln'
Check the error reason(see log file: /tmp/plesk_11.5.30_installation.log), fix and try again

Cause

Group " psacln " is duplicated on the server:

~# cat /etc/group | grep psacln
psacln:x:505:apache
psacln:x:2524:apache

Resolution

Remove the second user and restart Plesk upgrade. For removing the group:

  1. Backup file /etc/group :

    ~# cp /etc/group /etc/group.bak
  2. Open the file in file editor with the " vigr " command:

    ~# vigr
  3. Find the second records for group psacln and remove it:

    psacln:x:2524:apache
  4. Save the file.

Have more questions? Submit a request
Please sign in to leave a comment.